/*
Theme Name: Ken-MS by CITS - Netizen
Theme URI: http://dessign.net/unittheme
Description: A theme based on a Creative Portfolio Responsive WordPress theme Version: 2.0.1. Dessign by Marios Lublinski
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Author: Center for IT Support - Netizen
Author URI: http://informatickicentar.com/
Text Domain: CreativePortfolioResFree
Template: CreativePortfolioResFree
Version: 1.1.0

*/


@import url("../business-epic/style.css");

/*------------ CIP MODIFICATIONS START HERE   -------- */

/*** KITCHEN SINK ***/
html {
	margin: 0 !important;
	scroll-behavior: smooth;
}

/* Button hover */
a:hover {
	color: #00408f;
	transition: background 1.3s ease 0s, color 1.3s ease 0s;
	text-decoration: none;
}

/* Current page class */
.header_menu ul li.current-menu-item a, .header_menu ul li.current_page_item a {
	color: #00408f;
}
/* Nav menu button hover */
#header .header_menu ul li a:hover {
	color: #00408f;
}
/* Google Recaptcha hidden */
.grecaptcha-badge {
	display: none;
}
.single_left {
	float: none;
	margin: auto;
}

/*****	HEADER *****/

#header {
	padding: 0;
	background-color: rgba(255, 255, 255, 0.7);
	background-image: url("images/background-pattern.png");
	background-repeat: repeat;
	transition: all 0.1s ease-in;
}
.page-id-136 #header {
	position: fixed;
}
#header .header_bottom {
	padding: 10px 0 0 0;
}
.header_bottom .container {
	display: flex;
	align-items: center;
}
.header_bottom .container .full_logo_cont {
	margin-right: auto;
	padding: 0;
}
/* Header spacing for home page */
.page-id-136 .header_spacing {
	height: auto !important;
}
/* Header spacing for other pages */
.header_spacing {
	display: none;
}
/* Language div */
.header_bottom .langMenu {
	width: 1180px;
	margin: 0 auto;
	min-height: 2em;
}
.header_bottom .langMenu .langContainer {
	float: right;
	position: relative;
	margin-right: 18px;
	font-weight: bold;
	font-size: 16px;
}
/* Closing hamburger menu button */
.closebtn {
	display: none;
}

/**** NAVIGATION MENU ****/

/*** LANGUAGE CHOOSER ***/ 

/***** HOMEPAGE *****/

/* Content div */
.page-id-136 #content {
	padding: 0;
}

/**** VIDEO *****/ 
.page-id-136 #content .container {
	max-width: 1920px;
	width: 100%;
	padding: 0;
}
.page-id-136 #content .container .single_left {
	max-width: 1920px;
	width: 100%;
}

/* Play button */
.presentation {
	display: flex;
	justify-content: flex-start;
	align-items: flex-end;
}
#play {
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	cursor: pointer;
	border: dashed 1px #808080;
	color: #000;
	font-size: 16px;
	padding-left: 10px;
	box-sizing: border-box;
	letter-spacing: 1px;
	font-weight: bold;
	background: repeating-linear-gradient( 135deg, white -1px, white 10px, #d4d4d4 0px, #d4d4d4 11px );
	z-index: 999;
	box-shadow: 5px 5px 8px black;
	margin-left: 25px;
	width: 280px;
	transition: all 0.3s linear;
}
#play:hover, #play:active, #play:focus {
	background: repeating-linear-gradient( 135deg, #f0f0f0, #F0F0F0 10px, white -10px, white 20px );
	border: solid 1px #d4d4d4;
	box-shadow: 1px 1px 3px #888785;
	opacity: 1;
}
#play:hover > .playImage img, 
#play:active > .playImage img,
#play:focus > .playImage img {
	margin-left: 10px;
	filter: grayscale(0%);
}
.playImage {
	height: 50px;
}
.playImage img {
	height: 50px;
	transition: all 0.5s;
	-webkit-transition: all 0.5s;
	-moz-transition: all 0.5s;
	-o-transition: all 0.5s;
	filter: grayscale(100%);
}

/* Modal box */
.modal {
	display: none;
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	text-align: left;
	background: rgba(0,0,0, .9);
	transition: opacity .25s ease;
	z-index: 9999;
}
.modal:not(video){
	cursor: pointer;
}
.modal-content {
	cursor: auto;
	transition: top .25s ease;
	position: absolute;
	top: -10%;
	right: 0;
	bottom: 0;
	left: 0;
	width: 650px;
	margin: auto;
	background-color: rgba(0,0,0,0.5);
	border-radius: 5px;
	padding: 2em 2em;
	height: 365px;
	border: 7px solid rgba(0,64,143,0.5);
  
	/*modal box border*/
	-moz-background-clip: border;
	-webkit-background-clip: border;
	background-clip: border-box;
	
	-moz-background-clip: padding;
	-webkit-background-clip: padding;
	background-clip: padding-box;
	
	/*-moz-background-clip: content;
	-webkit-background-clip: content;
	background-clip: content-box;*/
}
#close {
	color: #ccc;
	float: right;
	font-size: 32px;
	font-weight: bold;
	transition: all ease 0.5s;
	position: absolute;
	right: 1em;
	top: 1em;
}
#close:hover,
#close:focus {
  color: #aaa;
  text-decoration: none;
  cursor: pointer;
} 

/**** MIDDLE SECTION ***/ 

/* Steel Frame Construction Pictures */

.steelFrameConstrPictureAboutUs {
	margin-top: 50px;
}
.steelFrameConstrPictureAboutUs img, 
.steelFrameConstrPictureServices img,
.steelFrameConstrPictureContact img {
	margin-left: auto;
	display: block;
}
.steelFrameConstrPictureAboutUs img,
.steelFrameConstrPictureServices img,
.steelFrameConstrPictureGallery img {
	filter: grayscale(100%);
}
.steelFrameConstrPictureAboutUs img:nth-of-type(1){
	float: left;
}
.steelFrameConstrPictureGallery img {
	margin: auto;
	display: block;
}
.desaturate { 
   animation: toColor 5s;
   animation-delay: 0.5s;
   animation-iteration-count: infinite;
   animation-direction: alternate;
}

/* Slogan */
.single_inside_content .kenmsSlogan {
	position: absolute;
	color: rgba(0,76,143,1);
	font-size: 1.2em;
	margin: auto;
	width: 50%;
	line-height: 1;
	bottom: 350px;
	text-align: center;
	background-image: linear-gradient(to right, white, rgba(255,255,255,0.7));
	text-transform: uppercase;
	border-radius: 5pt;
	padding: 10px;
	left: 25%;
}

/* Roof div */
.roofDiv {
	position: absolute;
	display: flex;
	width: 100%;
	min-height: 100px;
}
.leftRoofDiv {
	width: 50%;
	background: linear-gradient(to top left, white 50%, transparent 50%);
}
.rightRoofDiv {
	width: 50%;
	background: linear-gradient(to top right, white 50%, transparent 50%);
}

/* CTA button */
.callToActionBtn {
	text-align: center;
	margin-top: 40px;
}
.callToActionBtn a {
	border: dashed 1px #d4d4d4;
	color: #000;
	text-transform: uppercase;
	margin: 15px auto;
	font-size: 16px;
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	box-sizing: border-box;
	transition: all 0.5s ease-in;
	letter-spacing: 1px;
	font-weight: bold;
	background: repeating-linear-gradient( 135deg, white -1px, white 10px, #d4d4d4 0px, #d4d4d4 11px );
	max-width: 1180px;
}
.callToActionBtn a:hover,
.callToActionBtn a:focus,
.callToActionBtn a:active {
	background: repeating-linear-gradient( 135deg, #f0f0f0, #F0F0F0 10px, white -10px, white 20px );
	border: solid 1px #d4d4d4;
}
.callToActionBtn a:hover > .ctaBtnArrow img,
.callToActionBtn a:active > .ctaBtnArrow img,
.callToActionBtn a:focus > .ctaBtnArrow img {
	margin-left: 10px;
	filter: grayscale(0%);
}
.ctaBtnArrow{
	height: 50px;
}
.ctaBtnArrow img {
	height: 50px;
	transition: all 0.5s;
	-webkit-transition: all 0.5s;
	-moz-transition: all 0.5s;
	-o-transition: all 0.5s;
	filter: grayscale(100%);
}

/***** Back to top button *****/
#backToTop {
	flex: 1;
}
.link {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  transform: rotate(90deg);
  padding: 30px 0;
  background-image: none;
}
.link__arrow {
  display: inline-flex;
}
.link__arrow span {
  position: relative;
  width: 14px;
  height: 2px;
  border-radius: 2px;
  overflow: hidden;
  background: #BEBDBE;
  z-index: 2;
}
.link__arrow span:nth-child(1) {
  transform-origin: left bottom;
  transform: rotate(45deg) translate3d(8px, -10px, 0);
}
.link__arrow span:nth-child(2) {
  transform-origin: left bottom;
  transform: rotate(-45deg);
}
.link__arrow span:after {
  content: '';
  display: block;
  position: absolute;
  left: 0;
  width: 0;
  height: 2px;
  background: #00408f; 
}
.link__line {
  position: relative;
  margin-left: -14px;
  margin-right: 30px;
  width: 50px;
  height: 2px;
  background: #BEBDBE;
  overflow: hidden;
  z-index: 1;
}
.link__line:after {
  content: '';
  display: block;
  position: absolute;
  left: 80px;
  width: 70px;
  height: 2px;
  background: #00408f;
}
.link__text {
  color: #4A4A4A;
  font-family: 'Oswald', sans-serif;
  font-size: 18px;
  text-transform: uppercase;
}
.link:hover .link__line:after {
  animation: animation-line 1s forwards;
}
.link:hover .link__arrow span:after {
  animation: animation-arrow 1s forwards;
  animation-delay: 0.9s;
}



/****** SITE-SPECIFIC TEMPLATES *******/
/****** PORTFOLIO ******/ 
/**** SINGLE PAGE ****/ 

/* Page title */
.page .titleWrapper {
	display:block; 
    right: 25px;
    margin-bottom: 25px;
    position: relative;
    width: 200px;
    /*text-align: center;*/
	border-bottom: dotted 1px darkgrey;
}
.page .titleWrapper .single_title {
	margin: 0 0px;
    display: block;
    /*padding: 0 100px 10px 19px;*/
    text-transform: uppercase;
    font-size: 110%;
    font-weight: 400;
    position: relative;
	right:-25px;
	padding-bottom:15px;
	padding-right:0px;
	text-align: left;
}
.slideInLeft {
	animation-duration: 1s;
	animation-name: slideInLeft;
}
.home.page .titleWrapper {display:none;}

/********** REFERENCES PAGE************/
.page-id-7 #content {
	background-image: url("http://ken-ms.informatickicentar.com/wp-content/themes/CIP-KenMS/images/steel-frame-construction-small.jpg");
	background-repeat: no-repeat;
	background-position: center;
	background-size: auto;
}

/* TABLE */
.tg {
	height: 1320px;
	margin: auto;
	width: 100%;
	border-collapse: collapse;
	border-spacing: 0;
	text-align:center;
}
.tg tbody {
	box-shadow: 33px 3px 33px darkgrey inset;
}
.tg th, .tg td {
	word-break: normal;
	text-align: center;
	border: dashed 1px black;
}
.tg td {
	background-color: rgba(255, 255, 255, 0.7);
}
#content .tg tr:first-of-type {
	background: rgb(0, 64, 143);
	color: white;
	box-shadow: none;
	outline: auto;
}
.tg tr:nth-child(odd) {
	box-shadow: 33px 6px 20px darkgrey inset;
}

/*tbody {
	box-shadow: 33px 3px 33px lightgrey inset;
}

/********** SIDEBAR ********/

/****** ABOUT US PAGE *****/
.page-id-36 .footer_copyright_cont {
	margin-top: 0;
}

/***** CONTACT PAGE *****/

/* Contact page first paragraph */
.page-id-10 .single_left p:first-of-type{
	margin-bottom: 40px;
}
/*Contact page container*/
.page-id-10 .container {
	text-align: center;
}
/* Contact form container div */
.contactFormWrapper {
	width: 360px;
	margin: auto;
}
.page-id-10 #content {
	background-image: url("http://ken-ms.informatickicentar.com/wp-content/themes/CIP-KenMS/images/steel-frame-construction-site.png");
	background-repeat: no-repeat;
	background-position: center;
	background-size: auto;
}
div.wpcf7-validation-errors, div.wpcf7-acceptance-missing {
	border-color: #f00;
	border-width: 1px;
    border-style: dashed;
}
/*--- INPUT TEXT FIELDS ---*/
input {
	border: none;
	border-bottom: dashed 1px #808080;
	transition: all 0.3s ease-in;
	padding: 10px;
	background-color: white;
	opacity: 0.75;
}
input:hover {
	border-bottom: solid 1px #808080;
}
input:active, input:focus {
	border: none;
	border-bottom: solid 1px #00408f;
	box-shadow: 0px 3px 2px -2px #00408f;
	outline: none;
}

/*--- TEXTAREA ---*/
textarea {
	border: dashed 1px #808080;
	padding: 10px;
	transition: all 0.2s ease-in;
	box-sizing: border-box;
	width: 100%;
	opacity: 0.75;
}
textarea:hover {
	border: solid 1px #808080;
}
textarea:active, textarea:focus {
	border: none;
	box-shadow: 1px 1px 5px 0px #00408f;
	outline: none;
}
/*--- LABEL ---*/
label{
	line-height: 3;
}

/*---DROPDOWN------*/
/*---TEXTAREA BOX--*/

/*---SEND BUTTON---*/
.wpcf7-submit {
	width: 100%;
	font-size: 16px;
	border: dashed 1px #808080;
	cursor: pointer;
	text-transform: uppercase;
	transition: all 0.3s ease-in;
	letter-spacing: 1px;
	font-weight: bold;
	color: #000;
	background: repeating-linear-gradient( 135deg, white -1px, white 10px, #d4d4d4 0px, #d4d4d4 11px );
}
.wpcf7-submit:hover, .wpcf7-submit:active, .wpcf7-submit:focus {
	background: repeating-linear-gradient( 135deg, #f0f0f0, #F0F0F0 10px, white -10px, white 20px );
	border: solid 1px #d4d4d4;
	box-shadow: 1px 1px 3px #888785;
}
/* Ajax loader */
div.wpcf7 .ajax-loader {
	display: none;
}

/***** GALLERY PAGE *****/
.foogallery.fg-justified .fg-image, 
.foogallery.fg-justified .fg-item, 
.foogallery.fg-justified .fg-item-inner, 
.foogallery.fg-justified .fg-thumb {
	padding: 1px; 
}
/* Gallery border */
.fg-item {
	border: dashed 1px gray;
}

/****** FOOTER ******/ 
footer {
	display: flex;
	align-items: center;
	flex-direction: column;
}
.footer_copyright_cont {
	background-image: url("images/background-pattern.png");
	background-repeat: repeat;
	margin-top: -30px;
}
/* Footer first div */
.kenmsInfo {
	display: flex;
	width: 100%;
	min-height: 50px;
	justify-content: center;
	align-items: center;
	border-bottom: 1px solid #ccc;
	box-shadow: 33px 3px 33px lightgrey;
}
.kenmsInfoContainer {
	width: 100%;
	max-width: 1180px;
	display: flex;
}
.kenmsMail,
.kenmsPhone,
.kenmsAdress {
	display: flex;
	flex: 1;
	justify-content: center;
}
.kenmsPhone a {
	display: flex;
	flex: 1;
	justify-content: center;
}

/* Footer second div */
.kenmsBottom {
	display: flex;
	width: 100%;
}
.rightsReserved,
.cipLogo {
	flex: 1;
	justify-content: center;
	align-items: center;
	display: flex;
}
.cipLogo a {
	background-image: url("http://kentaur.club/wp-content/uploads/2018/04/cip-logo-black-hover.png");
	background-repeat: no-repeat;
	color: transparent;
	background-position: center;
	opacity: 0.8;
	transition: all 0.3s ease-in;
}
.cipLogo a:hover {
	opacity: 1;
	color: transparent;
}

/*** MEDIUM & SMALL DEVICES CONTENT CHOREOGRAPHY ***/
/*** MEDIUM DEVICES MODIFICATIONS ***/

@media only screen and (min-width: 961px) {
	#play {
		bottom: 25px;
	}
	.visible {
		opacity: 0.8;
	}
	.hidden {
		opacity: 0;
	}
}

@media only screen and (max-width: 961px) {
	
	/* Logo */
	#header .header_bottom {
		padding: 0;
	}
	.header_bottom .container .full_logo_cont {
		margin: auto;
	}
	/* Hamburger menu div */
	body .slicknav_menu {
		display: none;
	}
	/* Hamburger menu below logo */
	.header_bottom .container {
		display: flex;
		flex-direction: column;
	}
	/* Language div */
	.header_bottom .langMenu {
		width: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
		padding: 5px 0;
	}
	.header_bottom .langMenu .langContainer {
		float: none;
		margin-right: 0;
	}
	/* Ken-MS header padding */
	.header_bottom {
		padding: 0;
	}
	.page-id-136 .full_logo_cont {
		padding-bottom: 10px;
	}
	/* Closing hamburger menu button */
	.closebtn {
		display: block;
	}
	/* Steel lady of Balkan */
	.kenmsSlogan {
		display: none;
	}
	/* Play button div */
	.presentation {
		justify-content: center;
		align-items: center;
	}
	#play {
		margin-left: 0;
	}
	.playButton{
		top: 40%;
	}
	span.playImage img {
		width: 45px;
	}
	span.ctaBtnArrow img {
		width: 6em;
		display: flex;
		align-items: center;
	}
	/* Roof div */
	.roofDiv {
		align-self: flex-end;
		min-height: 50px;
	}
	/* Modal box */
	.modal-content {
    width: 95%;
	height: 210px;
    box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	position: relative;
	top: 30%;
	padding: 0.5em;
	border: 3px solid rgba(0,64,143,0.5);
	}
	/* Footer */
	footer {
		display: block;
	}
	textarea {
		width: 100%;
	}
	.footer_copyright footer {
		display: box;
		display: -webkit-box;
		display: -moz-box;
		-webkit-box-orient: vertical;
		-moz-box-orient: vertical;
		box-orient: vertical;
	}
	/* Copyright div */
	.rightsReserved {
		-webkit-box-ordinal-group: 2;
		-moz-box-ordinal-group: 2;
		box-ordinal-group: 2;
	}
	
	/*** ABOUT US ***/
	.steelFrameConstrPictureAboutUs {
		margin-top: none;
	}
	.steelFrameConstrPictureAboutUs img:nth-of-type(1){
		float: none;
	}
	.steelFrameConstrPictureAboutUs img:nth-of-type(2) {
		margin: 50px auto auto auto;
	}
	
	/*** REFERENCES PAGE ***/
	.page-id-7 #content {
		background-size: contain;
	}
	
	/*** CONTACT PAGE ***/
	
	/* First paragraph contact page */
	.page-id-10 .single_left p:first-of-type{
	margin-bottom: 30px;
	}
	/* Contact form container div */
	.contactFormWrapper {
		width: 100%;
	}
	/* Contact page content div */
	.page-id-10 #content {
		padding-top: 15px;
		background-size: contain;
	}
}

/*** SMALL DEVICES ***/
@media only screen and (max-width: 768px) {
	#header {
		padding: 5px 5px 0px 5px;
		box-sizing: border-box;
	}
	/* Roof div */
	.roofDiv {
		min-height: 20px;
	}
	.page-id-36 .single_left {
		margin-bottom: 0;
	}
	/* Gallery */
	.foogallery.fg-justified .fg-image, 
	.foogallery.fg-justified .fg-item, 
	.foogallery.fg-justified .fg-item-inner, 
	.foogallery.fg-justified .fg-thumb {
		padding: 0px; 
	}
	/* Footer */
	.kenmsInfoContainer, .kenmsBottom {
		flex-direction: column;
	}
	.kenmsMail,
	.kenmsPhone,
	.kenmsAdress {
		margin-top: 10px;
	}
	.kenmsPhone {
		flex-direction: column;
		margin-top: 0;
	}
	.kenmsPhone a {
		margin-bottom: 10px;
	}
	.kenmsAdress {
		margin-bottom: 10px;
		padding: 0 110px;
	}
	#backToTop {
		margin-top: 15px;
	}
	.container #single_cont .single_left {
		margin-bottom: 0;
	}
}
/********** ANIMATIONS ***********/

/* Image Animations */
@keyframes toColor {
    0%    { -webkit-filter: grayscale(100%); filter: grayscale(100%); }
    25%   { -webkit-filter: grayscale(75%); filter: grayscale(75%); }
    50%   { -webkit-filter: grayscale(50%); filter: grayscale(50%); }
    75%   { -webkit-filter: grayscale(25%); filter: grayscale(25%); }
    100%  { -webkit-filter: grayscale(0%); filter: grayscale(0%); }
	75%   { -webkit-filter: grayscale(75%); filter: grayscale(75%); }
	50%   { -webkit-filter: grayscale(50%); filter: grayscale(50%); }
	25%   { -webkit-filter: grayscale(25%); filter: grayscale(25%); }
	0%    { -webkit-filter: grayscale(100%); filter: grayscale(100%); }
}

/* Back to top animation */
@keyframes animation-line {
  0% {
    left: 80px;
  }
  100% {
    left: 0;
  }
}
@keyframes animation-arrow {
  0% {
    width: 0;
  }
  100% {
    width: 100%;
  }
}

/* h1 Animation */
@keyframes slideInLeft {
	0% { -webkit-transform: translateX(-1000px); -ms-transform: translateX(-1000px); transform: translateX(-1000px); }
	100% { -webkit-transform: translateX(0); -ms-transform: translateX(0); transform: translateX(0); }
}

/* Button hover animation NEW */

.shape {
  stroke-dasharray: 140 540;
  stroke-dashoffset: -474;
  stroke-width: 8px;
  fill: transparent;
  stroke: #19f6e8;
  border-bottom: 5px solid black;
  transition: stroke-width 1s, stroke-dashoffset 1s, stroke-dasharray 1s;
}
.svg-wrapper:hover .shape {
  stroke-width: 2px;
  stroke-dashoffset: 0;
  stroke-dasharray: 760;
}